Bug 981839 - Review Request: quotatool - Command-line utility for filesystem quotas
Review Request: quotatool - Command-line utility for filesystem quotas
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcelo Barbosa "firemanxbr"
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 03:44 EDT by Christopher Meng
Modified: 2014-07-11 07:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: quotatool-1.6.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:36:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mr.marcelo.barbosa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-06 03:44:10 EDT
Spec URL: http://cicku.me/quotatool.spec
SRPM URL: http://cicku.me/quotatool-1.6.2-1.fc20.src.rpm
Description: Quotatool is a utility to manipulate filesystem quotas from the commandline. 
Most quota-utilities are interactive, requiring manual intervention from the 
user. Quotatool on the other hand is not, making it suitable for use in 
scripts and other non-interactive situations.
Fedora Account System Username: cicku
Comment 1 Marcelo Barbosa "firemanxbr" 2013-07-06 21:05:26 EDT
- Outputs for rpmlint are false positives
- Package name is un-retirement

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

issue is false positive:
Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/quotatool
  See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[.]: Package contains desktop file if it is a GUI application.
[.]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 19 files have unknown license. Detailed output of
     licensecheck in
     /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/981839-quotatool/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[.]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[.]: Package contains systemd file(s) if in need.
[.]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[.]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[.]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: quotatool-1.6.2-1.fc18.x86_64.rpm
quotatool.x86_64: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
quotatool.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
quotatool.x86_64: W: spelling-error %description -l en_US commandline -> command line, command-line, commandment
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint quotatool
quotatool.x86_64: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
quotatool.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
quotatool.x86_64: W: spelling-error %description -l en_US commandline -> command line, command-line, commandment
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
quotatool (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
quotatool:
    quotatool
    quotatool(x86-64)



Source checksums
----------------
http://quotatool.ekenberg.se/quotatool-1.6.2.tar.gz :
  CHECKSUM(SHA256) this package     : e53adc480d54ae873d160dc0e88d78095f95d9131e528749fd982245513ea090
  CHECKSUM(SHA256) upstream package : e53adc480d54ae873d160dc0e88d78095f95d9131e528749fd982245513ea090


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 981839

----------------

PACKAGE APPROVED

----------------

If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is firemanxbr
Comment 2 Christopher Meng 2013-07-06 23:17:49 EDT
New Package SCM Request
=======================
Package Name: quotatool
Short Description:  Command-line utility for filesystem quotas
Owners: cicku firemanxbr
Branches: f19 f18
InitialCC:
Comment 3 Gwyn Ciesla 2013-07-07 15:16:23 EDT
Unrertired, take ownership in pkgdb and file a Package Change request for
the remaining branches.
Comment 4 Christopher Meng 2013-07-08 08:24:07 EDT
Package Change Request
======================
Package Name: quotatool
New Branches: f19 f18
Owners: cicku
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-08 09:10:07 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-07-14 22:27:56 EDT
quotatool-1.6.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/quotatool-1.6.2-1.fc18
Comment 7 Fedora Update System 2013-07-14 22:29:27 EDT
quotatool-1.6.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/quotatool-1.6.2-1.fc19
Comment 8 Fedora Update System 2013-07-15 21:33:26 EDT
quotatool-1.6.2-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-07-23 23:36:30 EDT
quotatool-1.6.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-07-23 23:43:22 EDT
quotatool-1.6.2-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Christopher Meng 2014-07-11 05:34:47 EDT
Package Change Request
======================
Package Name: quotatool
New Branches: epel7
Owners: cicku spot
Comment 12 Gwyn Ciesla 2014-07-11 07:46:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.